[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: VLC on G5 crash : illegal instruction



On Sun, Mar 7, 2021 at 2:10 PM Luke Kenneth Casson Leighton
<lkcl@lkcl.net> wrote:
>
> On Sunday, March 7, 2021, Riccardo Mottola <riccardo.mottola@libero.it> wrote:.
>>
>> the issue is most probably in libpcre2 or Qt5Core
>>
>> #0  0x00007fffe9c5fa30 in ?? ()
>> #1  0x00007ffff02c406c in ?? () from /usr/lib/powerpc64-linux-gnu/libpcre2-16.so.0
>
> https://vcs.pcre.org/pcre2/code/trunk/src/sljit/sljitNativePPC_common.c?revision=1268&view=markup
>
> *splutter* but... but... wow! that's amazing.  pcre2 contains a JIT assembly compiler simply for the purposes of generating highly optimised regular expression parsing.
>
> holy cow :)
>
> chances are then that an instruction was added which is assumed to exist in OpenPOWER v3.0 but is not present in v2.06 (etc)
>
> a cursory scan shows no evidence of the use of VSX there.

If needed... I believe it is possible to disable PCRE2's JIT at configure time.

Jeff


Reply to: